import locale
from deep_translator import GoogleTranslator

def traducir_texto(texto, idioma_destino):
    try:
        return GoogleTranslator(source='auto', target=idioma_destino).translate(texto)
    except Exception:
        return texto  # Si hay error, devuelve el texto original

# Guardar referencia a print original
original_print = print

def print(*args, destino=None, **kwargs):
    idioma_sistema = locale.getdefaultlocale()[0].split('_')[0]  # Detectar idioma del sistema
    idioma_destino = destino if destino else idioma_sistema  # Usar el idioma especificado o el del sistema
    
    texto_original = ' '.join(map(str, args))  # Convertir args a string
    texto_traducido = traducir_texto(texto_original, idioma_destino)
    original_print(texto_traducido, **kwargs)
